Description

Base Skills Pack for Experience Framework mod. This mod adds 23 skills in framework. [READ DESCRIPTION PLEASE]

Preview
Base Skills Pack v1.2.2 (Update 2) [Experience Framework]
Comments  (0 - 50 of 134)
M4ttlock2077
M4ttlock2077 - - 96 comments

Sounds awesome, thank you for the description and explanation about the compatibility. Can you show maybe the full list of skills for those of us who use the original Skills and Skills expanded mod?

Reply Good karma Bad karma+3 votes
Orleon Author
Orleon - - 213 comments

I will add a description to the mod when it is completely ready. For now, this is a beta version.

Reply Good karma+5 votes
Guest
Guest - - 696,392 comments

Support~~

Reply Good karma Bad karma+1 vote
Mikagu
Mikagu - - 146 comments

Really cool, some are VERY op though. But cool skills. Is it hard to add some? I have 0 experience in coding.

Reply Good karma Bad karma+3 votes
Orleon Author
Orleon - - 213 comments

Adding is not difficult, but coding skills are needed anyway.

Reply Good karma+2 votes
sgt_margera
sgt_margera - - 8 comments

I get a LUA error when I try to start a new game, it shows this: zz_experience_monkeys_script:275: attempt to call field 'give_actor_experience_by_discover_spot' (a nil value)

Edit: Line 204

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Do you have the latest version of Experience Framework installed?
What mods do you use, can you list?

Reply Good karma+2 votes
sgt_margera
sgt_margera - - 8 comments

Yes, I have the latest version of Experience Framework installed. I have a lot of mods installed, but I think only skills expansions and anomaly skill system could be the ones having a weird interaction with the mod. My Anomaly version is 1.5.1 though

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

These two mods cannot cause such an error. Perhaps this failure is due to the fact that you have Anomaly version 1.5.1. I need to check this, because everything was tested on the new version.

Reply Good karma+2 votes
sgt_margera
sgt_margera - - 8 comments

I understand, maybe there are some locations that are listed in the mod and not registered in the 1.5.1 version?

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

No, there may be a conflict with one of your mods that edits 'pda.scrpt', namely the 'discover_spot' function

Reply Good karma+2 votes
sgt_margera
sgt_margera - - 8 comments

I just checked and I don't have a script named like that. I just remembered that, I have a PDA mod, one that adds a new menu to it but it doesn't seem to touch that file.

Edit: Maybe if I remove the function to give exp when discovering a spot?

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Yes, you can completely remove the function from 'zz_experience_monkeys.script', however you will not gain experience when a location is discovered, but still this is not a solution to the problem...

Reply Good karma+2 votes
sgt_margera
sgt_margera - - 8 comments

You are correct, i'll keep looking in my files and see if I find something else

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

You may not keep looking. This is a conflict due to an outdated version of Anomaly, I am currently looking for a solution to the problem.

Edit: I'm sorry but Experience Framework is not compatible with Anomaly 1.5.1

Reply Good karma+2 votes
warrior`461
warrior`461 - - 20 comments

have the same problem LUA error: ...ly 1.5.1.2\gamedata\scripts\zz_experience_monkeys.script:306: attempt to call field 'give_actor_experience_by_disassembly_items' (a nil value)

game crashed when I tried to dismantle an item. I have this and the haruka system installed

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Experience Framework is not compatible with Anomaly 1.5.1

Reply Good karma+2 votes
aandrew1982
aandrew1982 - - 2 comments

Does it work with gamma?

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

I don't know, ask the modpack creator

Reply Good karma+2 votes
warrior`461
warrior`461 - - 20 comments

some imbalance dont care about as I altered the haurka limit to 500 for ***** and giggles to see what happens

Reply Good karma Bad karma+3 votes
Orleon Author
Orleon - - 213 comments

LUL

Reply Good karma+2 votes
volkermord
volkermord - - 84 comments

F. awesome mod.
Vote:
10 for mod idea.
10 for description.
10 because i just love this mod.
THX.

Reply Good karma Bad karma+3 votes
seven_or_9
seven_or_9 - - 208 comments

just now learning about this mod, this is some gourmet ****! seriously this is great work, one of my new favs

Reply Good karma Bad karma+3 votes
ltsobachiy
ltsobachiy - - 163 comments

Good God, Jim! He turned it into Borderlands!

Reply Good karma Bad karma+3 votes
space_kirill
space_kirill - - 40 comments

Weight seems not working (no +5 kg max weight on lvl 2). better prices and damage is ok.

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Please use weight.script from this mod. I will fix it in the next update.

Reply Good karma+2 votes
space_kirill
space_kirill - - 40 comments

i found the problem - for some reason this mod (v.1.0) has confilct with mod called ARTEFACT DEGRADATION 1.21 (i am using MO manager and there is no direct conflict in files). Howerer if AD is on, after you move forward max weight resets to the parameter which is specified in game options. Without AD it works properly.

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Ok i'll see what the problem is

Reply Good karma+2 votes
space_kirill
space_kirill - - 40 comments

thank you!

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

This is a problem with the artefact degradation mod. It changes the actor's carry weight and doesn't take into account the extra weight that was added via "weight.script". Sorry, I can't help you.

Reply Good karma+3 votes
space_kirill
space_kirill - - 40 comments

thanks anyway - i will play without AD then. I like your mod. Much more then haurhi skill system.

Reply Good karma Bad karma+3 votes
ElPapitrol
ElPapitrol - - 28 comments

amazing

Reply Good karma Bad karma+3 votes
Fleez
Fleez - - 119 comments

great job, now pistols, 9x18, 9x19 have become more relevant

Reply Good karma Bad karma+4 votes
Petrenka
Petrenka - - 54 comments

10/10. btw No stamina skill?

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

There is no skill for stamina in the pack, but if you have ideas for new skills, then you can write about it here.

Reply Good karma+2 votes
LoneWolfLazarus
LoneWolfLazarus - - 275 comments

Speaking of which Orleon, I've encountered an issue with what I assume is a script patch for *** (Advanced Stamina System). I'm no wizard with scripting but every time I choose the Hardy skill I crash with this error...

FATAL ERROR

[error]Expression : <no expression>
[error]Function : CScriptEngine::lua_pcall_failed
[error]File : ..\xrServerEntities\script_engine.cpp
[error]Line : 206
[error]Description : fatal error
[error]Arguments : LUA error: ...nomaly\gamedata\scripts\experience_baseskillspack.script:1259: attempt to compare nil with number

stack trace:

It points to these lines below, particularly

"if power + self.hardy_power > satiety_power_limit then"

As I say I am no wizard with scripting just know bare basics, this is the entire script here for again, what I assume to be an *** patch, I've removed it for the time being, gonna see if I can get the Hardy perk now. But the rest of the lines are below.

if advanced_stamina_system_ass then
local satiety_power_limit = advanced_stamina_system_ass.satiety_power_limit
if power + self.hardy_power > satiety_power_limit then
actor.power = satiety_power_limit
return
end
end

Sincerely hope you can help, I use *** so would be preferably to have this if at all possible, but don't know how to fix it.

Thanks for your time and effort with this mod, Experience Framework wouldn't be the same without this pack!

EDIT: Can confirm, that with *** installed still and the lines removed. The perk functions as expected. Happy days! Dunno if I'll have any other issues down the line to face, but will see! :)

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Update *** to the latest version

Reply Good karma+2 votes
oozish
oozish - - 364 comments

Outstanding! Very fun add-on I would never want to be without = 10!

Reply Good karma Bad karma+4 votes
volkermord
volkermord - - 84 comments

"- Fixed a bug due to which the skill stopped working after reloading the save"
No is not working after reloding.
Is working after update to: Experience Framework v1.1 or higher.
Sory.

Reply Good karma Bad karma+2 votes
mmoorroo
mmoorroo - - 89 comments

greetings, is it safe to update mid save?

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Sure

Reply Good karma+2 votes
mmoorroo
mmoorroo - - 89 comments

thx

Reply Good karma Bad karma+2 votes
LooNa_178
LooNa_178 - - 10 comments

Hello! Which button should be pressed to test the experience? And I didn't find it.🤣

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Default 'J' key

Reply Good karma+3 votes
LooNa_178
LooNa_178 - - 10 comments

Thank you!

Reply Good karma Bad karma+3 votes
LooNa_178
LooNa_178 - - 10 comments

Does not work. Please help me click J and nothing happens :(

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Have you installed Experience Framework? Check description please.

Reply Good karma+2 votes
LooNa_178
LooNa_178 - - 10 comments

Oh sorry 😊... I didn't notice, I just downloaded your addon and installed it🤣. Thanks for the tip, I'll install it right now and report back)

Reply Good karma Bad karma+2 votes
LooNa_178
LooNa_178 - - 10 comments

Я только щас понял, что ты на русском пишешь 🤣. У меня теперь такая проблема:(
LUA error: ...nomaly\gamedata\scripts\experience_baseskillspack.script:1670: attempt to index global 'ui_mcm' (a nil value)

Reply Good karma Bad karma+2 votes
Orleon Author
Orleon - - 213 comments

Смотрю вы не любите читать описания)) Для фреймворка нужна версия Аномалии 1.5.2 и вот это - Moddb.com

Reply Good karma+2 votes
LooNa_178
LooNa_178 - - 10 comments

Та читаю и туплю конкретно 🤣. Самое интересное, версия у меня 1.5.2 и вот этот конфигуратор тоже стоит

Reply Good karma Bad karma+2 votes
LooNa_178
LooNa_178 - - 10 comments

странно, щас все заработало, хотя ничего не делал. Зона, мать её ..

Reply Good karma Bad karma+2 votes
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.